Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Compiler Tree API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.sun.source.util
Enum TaskEvent.Kind

    java.lang.Object
      java.lang.Enum<TaskEvent.Kind>
          com.sun.source.util.TaskEvent.Kind

All Implemented Interfaces:
  Serializable, Comparable<TaskEvent.Kind>

Enclosing class:
  TaskEvent

    public static enum TaskEvent.Kind

extends Enum<TaskEvent.Kind>

Kind of task event.

Since:
  1.6

Enum Constant Summary
`ANALYZE` For events relating to elements being analyzed for errors.
`ANNOTATION_PROCESSING` For events relating to overall annotaion processing.
`ANNOTATION_PROCESSING_ROUND` For events relating to an individual annotation processing round.
`ENTER` For events relating to elements being entered.
`GENERATE` For events relating to class files being generated.
`PARSE` For events related to the parsing of a file.

Method Summary
`static TaskEvent.Kind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskEvent.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARSE

    public static final TaskEvent.Kind PARSE

  For events related to the parsing of a file.

### ENTER

    public static final TaskEvent.Kind ENTER

  For events relating to elements being entered.

### ANALYZE

    public static final TaskEvent.Kind ANALYZE

  For events relating to elements being analyzed for errors.

### GENERATE

    public static final TaskEvent.Kind GENERATE

  For events relating to class files being generated.

### ANNOTATION_PROCESSING

    public static final TaskEvent.Kind ANNOTATION_PROCESSING

  For events relating to overall annotaion processing.

### ANNOTATION_PROCESSING_ROUND

    public static final TaskEvent.Kind ANNOTATION_PROCESSING_ROUND

  For events relating to an individual annotation processing round.

Method Detail

### values

    public static TaskEvent.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TaskEvent.Kind c : TaskEvent.Kind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TaskEvent.Kind valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Compiler Tree API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
Copyright © 2005, 2011, Oracle and/or its affiliates. All rights reserved.